Question

PHP Upgrade Needed

Good morning Digital Ocean, I have a web designer who is trying to update/ upgrade my website for the first time in 5 years and she is having trouble since the PHP has to be updated. Per my Web Press page “W3 Total Cache requires PHP version 5.6 or above.” Please advise how we can make this happen so the update can continue. The designer is unable to do anything right now. Thanks in advance! Regards, Paul S. Haberman (psh@paulhabermanlaw.com)


Submit an answer

This textbox defaults to using Markdown to format your answer.

You can type !ref in this text area to quickly search our full set of tutorials, documentation & marketplace offerings and insert the link!

Sign In or Sign Up to Answer

These answers are provided by our Community. If you find them useful, show some love by clicking the heart. If you run into issues leave a comment, or add your own answer to help others.

Want to learn more? Join the DigitalOcean Community!

Join our DigitalOcean community of over a million developers for free! Get help and share knowledge in Q&A, subscribe to topics of interest, and get courses and tools that will help you grow as a developer and scale your project or business.

Hello,

What I could suggest is following the steps from this tutorial here on how to upgrade your PHP version:

https://www.digitalocean.com/community/questions/how-to-upgrade-php-7-0-33-to-7-4-7-on-ubuntu-16-04-nginx

I would strongly recommend taking a backup of your server before proceeding in case that your website is not compatible with the new PHP version, that way you would be able to revert back to a working backup.

Hope that this helps. Best, Bobby